SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Sun Grid Engine Vendors:   Sun
Sun N1 Grid Engine Buffer Overflows Let Local Users Shutdown the Grid Service or Gain Elevated Privileges
SecurityTracker Alert ID:  1016607
SecurityTracker URL:  http://securitytracker.com/id/1016607
CVE Reference:   CVE-2006-3941   (Links to External Site)
Updated:  Jun 8 2008
Original Entry Date:  Jul 29 2006
Impact:   Denial of service via local system, Execution of arbitrary code via local system, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): Sun Grid Engine 5.3, Sun N1 Grid Engine 6
Description:   A vulnerability was reported in Sun N1 Grid Engine. A local user can obtain elevated privileges on the target system. A local user can cause denial of service conditions.

In certain cases, a local user can trigger a buffer overflow in the Sun N1 Grid Engine daemons to execute arbitrary code on the target system.

A local user can also kill the qmaster or execd process and shutdown the grid service.

Impact:   A local user can obtain elevated privileges on the target system.

A local user can cause shutdown the grid service

Solution:   Sun has issued the following fix.

SPARC Platform

* N1 Grid Engine 6.0 (32-bit Solaris) with patch 123037-01 or later
* N1 Grid Engine 6.0 (64-bit Solaris) with patch 123038-01 or later
* N1 Grid Engine 6.0 (32-bit Solaris) NON-Solaris Package format with patch 123041-01 or later
* N1 Grid Engine 6.0 (64-bit Solaris) NON-Solaris Package format with patch 123042-01 or later

x86 Platform

* N1 Grid Engine 6.0 with patch 123039-01 or later
* N1 Grid Engine 6.0 NON-Solaris Package format with patch 123043-01 or later
* N1 Grid Engine 6.0 (x64) with patch 123040-01 or later
* N1 Grid Engine 6.0 (x64) NON-Solaris Package format with patch 123044-01 or later

Linux

* N1 Grid Engine 6.0 with patch 123045-01 or later
* N1 Grid Engine 6.0 (x64) with patch 123046-01 or later

Windows

* N1 Grid Engine 6.0 with patch 123052-01 or later

HP-UX

* N1 Grid Engine 6.0 with patch 123050-01 or later

AIX

* N1 Grid Engine 6.0 (for AIX 4.3) with patch 123047-01 or later
* N1 Grid Engine 6.0 (for AIX 5.1) with patch 123048-01 or later

Mac OS

* N1 Grid Engine 6.0 with patch 123049-01 or later

IRIX

* N1 Grid Engine 6.0 (for IRIX 6.5) with patch 123051-01 or later

The Sun advisory is available at:

http://sunsolve.sun.com/search/document.do?assetkey=1-26-102322-1

Vendor URL:  sunsolve.sun.com/search/document.do?assetkey=1-26-102322-1 (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (HP/UX), UNIX (macOS/OS X), UNIX (SGI/IRIX), UNIX (Solaris - SunOS), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC